

# UpdateDocumentationPart
<a name="API_UpdateDocumentationPart"></a>

Updates a documentation part.

## Request Syntax
<a name="API_UpdateDocumentationPart_RequestSyntax"></a>

```
PATCH /restapis/restapi_id/documentation/parts/part_id HTTP/1.1
Content-type: application/json

{
   "patchOperations": [ 
      { 
         "from": "string",
         "op": "string",
         "path": "string",
         "value": "string"
      }
   ]
}
```

## URI Request Parameters
<a name="API_UpdateDocumentationPart_RequestParameters"></a>

The request uses the following URI parameters.

 ** [part\$1id](#API_UpdateDocumentationPart_RequestSyntax) **   <a name="apigw-UpdateDocumentationPart-request-uri-documentationPartId"></a>
The identifier of the to-be-updated documentation part.  
Required: Yes

 ** [restapi\$1id](#API_UpdateDocumentationPart_RequestSyntax) **   <a name="apigw-UpdateDocumentationPart-request-uri-restApiId"></a>
The string identifier of the associated RestApi.  
Required: Yes

## Request Body
<a name="API_UpdateDocumentationPart_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [patchOperations](#API_UpdateDocumentationPart_RequestSyntax) **   <a name="apigw-UpdateDocumentationPart-request-patchOperations"></a>
For more information about supported patch operations, see [Patch Operations](patch-operations.md).  
Type: Array of [PatchOperation](API_PatchOperation.md) objects  
Required: No

## Response Syntax
<a name="API_UpdateDocumentationPart_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "id": "string",
   "location": { 
      "method": "string",
      "name": "string",
      "path": "string",
      "statusCode": "string",
      "type": "string"
   },
   "properties": "string"
}
```

## Response Elements
<a name="API_UpdateDocumentationPart_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [id](#API_UpdateDocumentationPart_ResponseSyntax) **   <a name="apigw-UpdateDocumentationPart-response-id"></a>
The DocumentationPart identifier, generated by API Gateway when the `DocumentationPart` is created.  
Type: String

 ** [location](#API_UpdateDocumentationPart_ResponseSyntax) **   <a name="apigw-UpdateDocumentationPart-response-location"></a>
The location of the API entity to which the documentation applies. Valid fields depend on the targeted API entity type. All the valid location fields are not required. If not explicitly specified, a valid location field is treated as a wildcard and associated documentation content may be inherited by matching entities, unless overridden.  
Type: [DocumentationPartLocation](API_DocumentationPartLocation.md) object

 ** [properties](#API_UpdateDocumentationPart_ResponseSyntax) **   <a name="apigw-UpdateDocumentationPart-response-properties"></a>
A content map of API-specific key-value pairs describing the targeted API entity. The map must be encoded as a JSON string, e.g., `"{ \"description\": \"The API does ...\" }"`. Only OpenAPI-compliant documentation-related fields from the properties map are exported and, hence, published as part of the API entity definitions, while the original documentation parts are exported in a OpenAPI extension of `x-amazon-apigateway-documentation`.  
Type: String

## Errors
<a name="API_UpdateDocumentationPart_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.  
HTTP Status Code: 400

 ** ConflictException **   
The request configuration has conflicts. For details, see the accompanying error message.  
HTTP Status Code: 409

 ** LimitExceededException **   
The request exceeded the rate limit. Retry after the specified time period.  
HTTP Status Code: 429

 ** NotFoundException **   
The requested resource is not found. Make sure that the request URI is correct.  
HTTP Status Code: 404

 ** TooManyRequestsException **   
The request has reached its throttling limit. Retry after the specified time period.  
HTTP Status Code: 429

 ** UnauthorizedException **   
The request is denied because the caller has insufficient permissions.  
HTTP Status Code: 401

## See Also
<a name="API_UpdateDocumentationPart_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/apigateway-2015-07-09/UpdateDocumentationPart) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/apigateway-2015-07-09/UpdateDocumentationPart) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/apigateway-2015-07-09/UpdateDocumentationPart) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/apigateway-2015-07-09/UpdateDocumentationPart) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/apigateway-2015-07-09/UpdateDocumentationPart) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/apigateway-2015-07-09/UpdateDocumentationPart) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/apigateway-2015-07-09/UpdateDocumentationPart) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/apigateway-2015-07-09/UpdateDocumentationPart) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/apigateway-2015-07-09/UpdateDocumentationPart) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/apigateway-2015-07-09/UpdateDocumentationPart) 